#### strand::execute

Request the strand to invoke the given function object.

    template<
        typename Function>
    constraint_t< traits::execute_member< const Executor &, Function >::is_valid, void > execute(
        Function && f) const;

This function is used to ask the strand to execute the given function object on its underlying executor. The function object will be executed according to the properties of the underlying executor.

###### Parameters

f

  The function object to be called. The executor will make a copy of the handler object as required. The function signature of the function object must be:

      void function();